Bug 504750 - new pulseaudio produces coredump
new pulseaudio produces coredump
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: 504786 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-06-09 03:54 EDT by Michal Hlavinka
Modified: 2009-06-19 09:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.15-14.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-19 09:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace and backtrace full (2.17 KB, text/plain)
2009-06-09 03:54 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2009-06-09 03:54:34 EDT
Created attachment 346976 [details]
backtrace and backtrace full

Description of problem:
Because of not working sound, I'm permanently using pulseaudio and alsa packages from koji.

Latest pulseaudio build (pulseaudio-0.9.15-13.fc11.x86_64) produces core dump, when daemon is started.

$ pulseaudio -vvvvv
D: main.c: Started as real root: no, suid root: yes
I: main.c: PolicyKit refuses acquire-high-priority privilege.
I: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
I: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
I: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: main.c: Can realtime: no, can high-priority: no
D: main.c: Can realtime: no, can high-priority: no
I: main.c: This is PulseAudio 0.9.15
D: main.c: Compilation host: x86_64-redhat-linux-gnu
D: main.c: Compilation CFLAGS: -ggdb -Wall -W -Wextra -pipe -Wno-long-long -Winline -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2 -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2 -fno-common -fdiagnostics-show-option
D: main.c: Running on host: Linux x86_64 #1 SMP Wed May 27 17:27:08 EDT 2009
D: main.c: Found 8 CPUs.
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: no
D: main.c: All asserts enabled.
I: main.c: Machine ID is 4a4a186ecf1cc7381067b54a4a1cfddf.
I: main.c: Session ID is 4a4a186ecf1cc7381067b54a4a1cfddf-1244461595.757675-2140781940.
I: main.c: Using runtime directory /home/mhlavink/.pulse/4a4a186ecf1cc7381067b54a4a1cfddf:runtime.
I: main.c: Using state directory /home/mhlavink/.pulse.
I: main.c: Running in system mode: no
W: pid.c: Stale PID file, overwriting.
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: rtclock.c: Timer slack is set to 50 us.
Segmentation fault (core dumped)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.pulseaudio --start
Actual results:
Segmentation fault

Expected results:
running pulseaudio

Additional info:
Comment 1 Michal Hlavinka 2009-06-09 09:33:36 EDT
*** Bug 504786 has been marked as a duplicate of this bug. ***
Comment 2 Fedora Update System 2009-06-09 14:23:51 EDT
pulseaudio-0.9.15-14.fc11 has been submitted as an update for Fedora 11.
Comment 3 Fedora Update System 2009-06-15 22:30:33 EDT
pulseaudio-0.9.15-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pulseaudio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6410
Comment 4 Fedora Update System 2009-06-19 09:35:56 EDT
pulseaudio-0.9.15-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.